svn commit: samba r8271 - in branches/SAMBA_4_0: source/script/tests testprogs/ejs

tridge at samba.org tridge at samba.org
Sun Jul 10 00:26:55 GMT 2005


Author: tridge
Date: 2005-07-10 00:26:54 +0000 (Sun, 10 Jul 2005)
New Revision: 8271

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8271

Log:
make the ejs test scripts directly executable scripts using:

  #!/usr/bin/env smbscript

I'll be interested to see how portable this is in the build farm. 

Modified:
   branches/SAMBA_4_0/source/script/tests/test_ejs.sh
   branches/SAMBA_4_0/testprogs/ejs/echo.js
   branches/SAMBA_4_0/testprogs/ejs/samr.js


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_ejs.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_ejs.sh	2005-07-10 00:23:51 UTC (rev 8270)
+++ branches/SAMBA_4_0/source/script/tests/test_ejs.sh	2005-07-10 00:26:54 UTC (rev 8271)
@@ -17,7 +17,10 @@
 
 SCRIPTDIR=../testprogs/ejs
 
+PATH=bin:$PATH
+export PATH
+
 for f in samr.js echo.js; do
-    testit "$f" bin/smbscript $SCRIPTDIR/$f ncacn_np:$SERVER -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
+    testit "$f" $SCRIPTDIR/$f ncacn_np:$SERVER -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
 done
 

Modified: branches/SAMBA_4_0/testprogs/ejs/echo.js
===================================================================
--- branches/SAMBA_4_0/testprogs/ejs/echo.js	2005-07-10 00:23:51 UTC (rev 8270)
+++ branches/SAMBA_4_0/testprogs/ejs/echo.js	2005-07-10 00:26:54 UTC (rev 8271)
@@ -1,3 +1,4 @@
+#!/usr/bin/env smbscript
 /*
 	test echo pipe calls from ejs
 */	


Property changes on: branches/SAMBA_4_0/testprogs/ejs/echo.js
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/SAMBA_4_0/testprogs/ejs/samr.js
===================================================================
--- branches/SAMBA_4_0/testprogs/ejs/samr.js	2005-07-10 00:23:51 UTC (rev 8270)
+++ branches/SAMBA_4_0/testprogs/ejs/samr.js	2005-07-10 00:26:54 UTC (rev 8271)
@@ -1,3 +1,4 @@
+#!/usr/bin/env smbscript
 /*
   test samr calls from ejs
 */	


Property changes on: branches/SAMBA_4_0/testprogs/ejs/samr.js
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list